﻿//------------------------------------------------------------------------------
// <auto-generated>
//     This code was generated from a template.
//
//     Manual changes to this file may cause unexpected behavior in your application.
//     Manual changes to this file will be overwritten if the code is regenerated.
// </auto-generated>
//------------------------------------------------------------------------------

namespace ARGNS.ConfIni
{
    using System;
    using System.Data.Entity;
    using System.Data.Entity.Infrastructure;
    
    public partial class WPortal : DbContext
    {
        public WPortal()
            : base("name=WPortal")
        {
        }
    
        protected override void OnModelCreating(DbModelBuilder modelBuilder)
        {
            throw new UnintentionalCodeFirstException();
        }
    
        public virtual DbSet<Roles> Roles { get; set; }
        public virtual DbSet<Users> Users { get; set; }
        public virtual DbSet<AreaKeys> AreaKeys { get; set; }
        public virtual DbSet<UserAreas> UserAreas { get; set; }
        public virtual DbSet<Actions> Actions { get; set; }
        public virtual DbSet<Pages> Pages { get; set; }
        public virtual DbSet<RolPageAction> RolPageAction { get; set; }
        public virtual DbSet<UserPageAction> UserPageAction { get; set; }
        public virtual DbSet<SAPObjects> SAPObjects { get; set; }
        public virtual DbSet<DirectAccesses> DirectAccesses { get; set; }
        public virtual DbSet<UserDirectAccesses> UserDirectAccesses { get; set; }
        public virtual DbSet<Alerts> Alerts { get; set; }
        public virtual DbSet<Authorizations> Authorizations { get; set; }
        public virtual DbSet<BPGroupLines> BPGroupLines { get; set; }
        public virtual DbSet<BPGroups> BPGroups { get; set; }
        public virtual DbSet<CompanyConns> CompanyConns { get; set; }
        public virtual DbSet<CompanyStock> CompanyStock { get; set; }
        public virtual DbSet<CRPageMaps> CRPageMaps { get; set; }
        public virtual DbSet<InfoPortals> InfoPortals { get; set; }
        public virtual DbSet<Logs> Logs { get; set; }
        public virtual DbSet<News> News { get; set; }
        public virtual DbSet<PortalChartColumns> PortalChartColumns { get; set; }
        public virtual DbSet<PortalChartParams> PortalChartParams { get; set; }
        public virtual DbSet<PortalChartParamsType> PortalChartParamsType { get; set; }
        public virtual DbSet<PortalChartParamsValueType> PortalChartParamsValueType { get; set; }
        public virtual DbSet<PortalCharts> PortalCharts { get; set; }
        public virtual DbSet<PortalChartTypes> PortalChartTypes { get; set; }
        public virtual DbSet<PortalChartUserGroups> PortalChartUserGroups { get; set; }
        public virtual DbSet<PortalTileParams> PortalTileParams { get; set; }
        public virtual DbSet<PortalTiles> PortalTiles { get; set; }
        public virtual DbSet<PortalTileTypes> PortalTileTypes { get; set; }
        public virtual DbSet<PortalTileUserGroups> PortalTileUserGroups { get; set; }
        public virtual DbSet<QRConfigs> QRConfigs { get; set; }
        public virtual DbSet<QueryManagerItems> QueryManagerItems { get; set; }
        public virtual DbSet<QuickOrders> QuickOrders { get; set; }
        public virtual DbSet<UserGroups> UserGroups { get; set; }
        public virtual DbSet<UsersSettings> UsersSettings { get; set; }
        public virtual DbSet<UserUDFs> UserUDFs { get; set; }
        public virtual DbSet<WarehousePortals> WarehousePortals { get; set; }
    }
}
